Subject: Re: [POWERPC] mpc7448hpc2.dts: remove chosen node from dts

From: Segher Boessenkool <[email-masked]>
Date: Mon, 30 Jun 2008 18:22:09 +0200

> Modern versions of u-boot create a chosen node automatically.  So if
> we set the chosen node in the dts file, there will be 2 chosen nodes
> passed in to the kernel,

That's a bug in uboot, then: when it creates a property, it should
delete an already existing property with the same name in that node.

> and the kernel command line will be taken from
> the wrong node.  So, remove the extra chosen node from the dts file.

This will cause a regression for people using an older version of
uboot.  No idea how important that is.

Segher